# MumbleServer::TextMessage

## Overview

### struct TextMessage

A text message between users.

#### Used By

ServerCallback::userTextMessage

## Data Member Index

sessions
  Sessions (connected users) who were sent this message.
channels
  Channels who were sent this message.
trees
  Trees of channels who were sent this message.
text
  The contents of the message.

## Data Members

IntList sessions;

  Sessions (connected users) who were sent this message.

IntList channels;

  Channels who were sent this message.

IntList trees;

  Trees of channels who were sent this message.

string text;

  The contents of the message.